<?php

namespace App\Http\Controllers\Website;

use App\Http\Controllers\Controller;
use App\Http\Requests\StoreInformationRequest;
use App\Services\Website\StoreInformationService;
use App\DataTransferObjects\Website\StoreInformationDTO;

class UserController extends Controller
{
    public function storeInformation(
        StoreInformationRequest $request,
        StoreInformationDTO $registerUserDTO,
        StoreInformationService $registerUserService
    ) {
        $registerUserDTO->getDataFromRequest($request);

        $registerUserService($registerUserDTO);

        responder()->send();
    }
}
